Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
Class TableLayoutRow

    java.lang.Object
      groovy.swing.impl.TableLayoutRow

All Implemented Interfaces:
  Startable

    public class TableLayoutRow

extends Object
implements Startable

Represents a row in a table layout

Version:
  $Revision: 7922 $
Author:
  James Strachan

Constructor Summary
`TableLayoutRow(TableLayout tableLayoutTag)`

Method Summary
`void` | `addCell(TableLayoutCell tag)` Adds a new cell to this row
`int` | `getRowIndex()`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableLayoutRow

    public TableLayoutRow(TableLayout tableLayoutTag)

Method Detail

### addCell

    public void addCell(TableLayoutCell tag)

  Adds a new cell to this row

### start

    public void start()

  Specified by:
    `start` in interface `Startable`

### getRowIndex

    public int getRowIndex()

  Returns:
    the row index of this row

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD